import http from 'k6/http';
import { sleep } from 'k6';
import * as apifunc from '../shared/apifunc.js'

export const options = {
  vus: 20,
  //duration: '30s',
  iterations: 20
};

const apiBaseUrl = open('url.txt');

export default function () {
	const evseNum = apifunc.GetEvseNum();
	const apiPath = '/api/v1/cpo/activesession';
	const apiParam = `ChargeBoxId=PHSimulator006${evseNum}`;
	var p = apifunc.GetP(apiBaseUrl, apiPath,apiParam,'');
	const res = http.get(p.url , p.params);
	console.log(`PHSimulator006${evseNum}` + ' '+ apifunc.GetSessionId(res));
	//sleep(1);
}