import http from 'k6/http';
import { sleep } from 'k6';
import * as apifunc from '../shared/apifunc.js'

export const options = {
  vus: 20,
  //duration: '1s',
  iterations: 20
};

const apiBaseUrl = open('url.txt');

export default function () {
	const evseNum = apifunc.GetEvseNum();
	var apiPath = '/api/v1/cpo/commands/start_session';
	const apiParam = '';
	const bodyData = `{\"ConnectorId\":1,\"Token\":\"Backend\",\"ChargeBoxId\":\"PHSimulator006${evseNum}\",\"CouponCode\":\"123\",\"PayMethod\":\"Coupon\"}`;
	var p = apifunc.GetP(apiBaseUrl, apiPath,apiParam,bodyData);
	//console.log(p.url);
	const res = http.post(p.url, p.bodyData, p.params);
	console.log(res.body);
	//console.log(p.bodyData);
	//sleep(1);
}