import http from 'k6/http';
import { sleep } from 'k6';
import * as apifunc from '../shared/apifunc.js'

export const options = {
  vus: 1,
  //duration: '1m',
};

const apiBaseUrl = open('url.txt');

export default function () {
	const evseNum = apifunc.GetEvseNum();
	const apiPath = '/api/v2/cpo/stationInfo';
	const apiParam = `ChargeBoxId=PHSimulator006${evseNum}`;
	var p = apifunc.GetP(apiBaseUrl, apiPath,apiParam,'');
	const res = http.get(p.url, p.params);
	console.log(res.body);
	//sleep(1);
}